gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-merchant] branch master updated: add test for #6993


From: gnunet
Subject: [taler-merchant] branch master updated: add test for #6993
Date: Tue, 17 Aug 2021 10:55:59 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository merchant.

The following commit(s) were added to refs/heads/master by this push:
     new c6165040 add test for #6993
c6165040 is described below

commit c61650400f2dffbbf0f57bdddc9c19d54de89aa4
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Tue Aug 17 10:55:57 2021 +0200

    add test for #6993
---
 src/testing/test_merchant_instance_purge.sh | 67 +++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/src/testing/test_merchant_instance_purge.sh 
b/src/testing/test_merchant_instance_purge.sh
new file mode 100755
index 00000000..dfb867d5
--- /dev/null
+++ b/src/testing/test_merchant_instance_purge.sh
@@ -0,0 +1,67 @@
+#!/bin/bash
+# This file is in the public domain.
+
+. initialize_taler_system.sh
+
+echo -n "Configuring default instance ..."
+
+STATUS=$(curl -H "Content-Type: application/json" -X POST \
+    -H 'Authorization: Bearer secret-token:super_secret' \
+    http://localhost:9966/management/instances \
+    -d 
'{"auth":{"method":"external"},"payto_uris":["payto://x-taler-bank/localhost/43"],"id":"default","name":"default","address":{},"jurisdiction":{},"default_max_wire_fee":"TESTKUDOS:1",
 
"default_max_deposit_fee":"TESTKUDOS:1","default_wire_fee_amortization":1,"default_wire_transfer_delay":{"d_ms"
 : 3600000},"default_pay_delay":{"d_ms": 3600000}}' \
+    -w "%{http_code}" -s -o /dev/null)
+
+if [ "$STATUS" != "204" ]
+then
+    echo 'should respond ok, instance created. got:' $STATUS
+    exit 1
+fi
+
+echo " OK"
+
+echo -n "Configuring merchant instance ..."
+
+STATUS=$(curl -H "Content-Type: application/json" -X POST \
+    http://localhost:9966/management/instances \
+    -d 
'{"auth":{"method":"token","token":"secret-token:other_secret"},"payto_uris":["payto://x-taler-bank/localhost/43"],"id":"test","name":"test","address":{},"jurisdiction":{},"default_max_wire_fee":"TESTKUDOS:1",
 
"default_max_deposit_fee":"TESTKUDOS:1","default_wire_fee_amortization":1,"default_wire_transfer_delay":{"d_ms"
 : 3600000},"default_pay_delay":{"d_ms": 3600000}}' \
+    -w "%{http_code}" -s -o /dev/null)
+
+if [ "$STATUS" != "204" ]
+then
+    echo 'should respond ok, instance created. got:' $STATUS
+    exit 1
+fi
+
+echo " OK"
+
+
+echo -n "Deleting instance ..."
+
+STATUS=$(curl -H "Content-Type: application/json" -X DELETE \
+    "http://localhost:9966/management/instances/test"; \
+    -w "%{http_code}" -s -o /dev/null)
+
+
+if [ "$STATUS" != "204" ]
+then
+    echo 'should respond ok, instance deleted. got:' $STATUS
+    exit 1
+fi
+
+echo " OK"
+echo -n "Purging instance ..."
+
+STATUS=$(curl -H "Content-Type: application/json" -X DELETE \
+    "http://localhost:9966/management/instances/test?purge=yes"; \
+    -w "%{http_code}" -s -o /dev/null)
+
+
+if [ "$STATUS" != "204" ]
+then
+    echo 'should respond ok, instance deleted. got:' $STATUS
+    exit 1
+fi
+
+echo " OK"
+
+exit 0

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]